Company Consolidated Data(Fetch By CIN) Summary Request
8 min
Authentication
You will need to login before sending Company Consolidated Fetch By CIN Request. You are required to pass the access token received from the login call, as authorization header in the Company Consolidated Fetch By CIN Request along with other parameters.
API Endpoint
Testing
POST :: https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../companyconsolidatedProduction
POST :: https://signzy.tech/api/v2/patrons/...patronID.../companyconsolidatedHeaders
Key | Value |
|---|---|
Authorization | ...access token (returned as id field of login request)... |
Content-type | application/json |
Request Body
The API request should include the following data in the request body:
{
"task": "fetch",
"essentials": {
"cin": "..cin..",
"callbackUrl": "..callbackUrl.."
}
}Input Parameters
Field | Description |
|---|---|
cin | CIN of the company |
callbackUrl | callbackUrl where the data has to be posted |
Response body
{
"result": {
"requestId": "...requestId..."
}
}Output Paramters
Field | Description |
|---|---|
requestId | Request Id recieved from fetch by cin requestId |